View Issue Details

IDProjectCategoryView StatusLast Update
0002709SymmetricDSBugpublic2019-05-17 20:00
Reporterxalex2010Assigned Toelong 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.7.37 
Target Version3.9.21Fixed in Version3.9.21 
Summary0002709: documentation for Transforms - incorrect query for SYM_TRANSFORM_TABLE
DescriptionIn the online documentation ("Transforms" section), the documented queries for inserting into SYM_TRANSFORM_TABLE are missing the values for the update_action column.
The queries have 13 column names but only 12 values.

Example:

insert into SYM_TRANSFORM_TABLE (
        transform_id, source_node_group_id, target_node_group_id, transform_point, source_table_name,
        target_table_name, update_action, delete_action, transform_order, column_policy, update_first,
        last_update_time, create_time
) values (
        'delete-action-update-col', 'store', 'corp', 'EXTRACT', 'ITEM_SELLING_PRICE',
        'ITEM_SELLING_PRICE', 'UPDATE_COL', 2, 'IMPLIED', 0,
        current_timestamp, current_timestamp
);

Tagsdocumentation

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 07d6f347

2019-05-17 19:36:37

admin

Details Diff
0002709: documentation for Transforms - incorrect query for
SYM_TRANSFORM_TABLE

0002709
mod - symmetric-assemble/src/asciidoc/configuration/transforms/operation-change.ad Diff File

SymmetricDS: 3.10 a34483bd

2019-05-17 19:36:37

admin

Details Diff
0002709: documentation for Transforms - incorrect query for
SYM_TRANSFORM_TABLE

0002709
mod - symmetric-assemble/src/asciidoc/configuration/transforms/operation-change.ad Diff File

Issue History

Date Modified Username Field Change
2016-08-08 10:24 xalex2010 New Issue
2019-04-24 09:05 elong Tag Attached: documentation
2019-05-17 19:38 elong Assigned To => elong
2019-05-17 19:38 elong Status new => resolved
2019-05-17 19:38 elong Resolution open => fixed
2019-05-17 19:38 elong Fixed in Version => 3.9.21
2019-05-17 19:38 elong Target Version => 3.9.21
2019-05-17 20:00 admin Changeset attached => SymmetricDS 3.9 07d6f347
2019-05-17 20:00 admin Changeset attached => SymmetricDS 3.10 a34483bd